// Allison Traylor
// atraylor@andrew.cmu.edu
//Final project

//This code makes the painting scene

var paintCount = 0;
var yVal = 0.0;
var yVal2 = 0.0;

function setup() {
  createCanvas(600, 600);
}

function makePainting() {
  background(51);
  makeWaves(0);
  makeWaves(100);
  makeWaves2(20);
  makeWaves2(200);
  noStroke();
  fill(0);
  if (paintCount > 120){ //after 120 frames in the scene, text will be displayed
      text("i'm bored.", width/2 + 180, height/4 + 50, 10);
  }
  paintCount += 1; // counting number of frames in scene
  var oceanSoundProb = 0.008;
  if (random(0, 1) < oceanSoundProb){
      moreOcean.play();
  }
  var oceanSoundProb2 = 0.01;
  if (random(0, 1) < oceanSoundProb2){
      ocean.amp(0.6);
      ocean.play();
  }
}

function makeWaves(up){
    noFill();
    stroke(0);
    strokeWeight(2);

    push();
    translate(0, up); //up parameter for more waves in different locations
    beginShape();

    var xVal = 0;//x value for noise

    for (var x = 0; x <= width; x += 10){ //make multiple vertices for line
      var y = map(noise(xVal, yVal), 0, 1, 200,300); // y values are from noise
      vertex(x, y);
      xVal += 0.05; // increase the noise parameters
    }
    yVal += 0.01;// increase the noise parameters
    vertex(width, height + 100);
    vertex(0, height + 100);
    endShape(CLOSE);
    pop();
}

function makeWaves2(up){
    noFill();
    stroke(0);
    strokeWeight(2);

    push();
    translate(0, up); //up parameter for more waves in different locations
    beginShape();

    var xVal2 = 0;//x value for noise

    for (var x = 0; x <= width; x += 10) { //make multiple vertices for line
      var y = map(noise(xVal2, yVal2), 0, 1, 200,300); // y values are from noise
      vertex(x, y);
      xVal2 += 0.06; // increase the noise parameters
    }
    yVal2 += 0.02;// increase the noise parameters
    vertex(width, height + 100);
    vertex(0, height + 100);
    endShape(CLOSE);
    pop();
}
