// Allison Traylor
// atraylor@andrew.cmu.edu
//Final project

//this code makes the book scene

var wordOptions = ['the', 'quick', 'brown', 'fox', 'jumps', 'over', 'lazy', 'dog'];
var symbols = ['Lorem', 'ipsum', 'dolor', 'sit', 'amet', ',', 'consectetur',
'adipiscing', 'elit', '.', 'Curabitur', 'vulputate', 'mauris', 'ex', 'vel', 'tincidunt',
'magna', 'pulvinar', 'ut'];

var words = [];
var grawlix = [];
var bookCount = 0;

function setup() {
    createCanvas(600, 600);

    for (var i = 0; i < 10; i++){
        var wx = random(width);
        var wy = random(height);
        words[i] = makewor(wx, wy); //populate screen
    }
    for (var i = 0; i < 10; i ++){
        var wy = random(width);
        var wx = random(height);
        grawlix[i] = makeGrawlix(wx, wy);
    }
}

function makeBook(){
    background(253);
    updateAndDisplaywor();
    wordDeath();
    addRanProbwor();

    updateAndDisplayGraw();
    grawlixDeath();
    addRanProbGraw();

    push();
    fill(0);
    noStroke();
    textSize(10);
    if (bookCount > 120){ //after 120 frames in the scene, text will be displayed
        text("i'm bored.", (2 * width/3) + 50, (3 * height/4 + 10) + 10);
    }
    bookCount += 1;
    pop();

}
function updateAndDisplaywor(){
    for (var i = 0; i < words.length; i++){ //draw and update words
        words[i].move();
        words[i].draw();
    }
}
function wordDeath(){ //kill words that go off screen
    var livewords = [];
    for (var i = 0; i < words.length; i++){
        if (words[i].x + 50 > 0) {
            livewords.push(words[i]);
        }
    }
    words = livewords; //remember live
}

function addRanProbwor(){ //make more of the words appear
    var prob = 0.1;
    if (random(0, 1) < prob){
        words.push(makewor(width, random(height)));
        var probSound = 0.1;
        if(random(0, 1) < probSound){
            bookSound.play();
        }
    }
}

function worMove(){ //moving across screen
    this.x += this.speed;
}
function worDraw(){
    noStroke();
    textFont("Times New Roman")
    textSize(this.csize);
    fill(this.worCol);
    text(this.symbol, this.x, this.y);
}

function makewor(birthlocationx, birthlocationy){
    var wor = {'x': birthlocationx,
        'y': birthlocationy,
        'worCol': pickWColor(),
        'speed': pickWSpeed(),
        'symbol': pickWword(),
        'csize':(-1 * pickWSpeed() * 10),
        'move': worMove,
        'draw': worDraw}
    return wor;
}
function pickWword(){
    return wordOptions[int(random(wordOptions.length))];
}
function pickWColor(){
    return int(random(100, 255));
}

function pickWSpeed(){
    return random(-1, -5);
}

////////

function updateAndDisplayGraw(){ //making the Lorem ipsum
    for (var i = 0; i < grawlix.length; i++){
        grawlix[i].move();
        grawlix[i].draw();
    }
}
function grawlixDeath(){
    var liveGrawlix = [];
    for (var i = 0; i < grawlix.length; i++){
        if (grawlix[i].gx + 50 > 0) {
            liveGrawlix.push(grawlix[i]);
        }
    }
    grawlix = liveGrawlix; //remember live
}
function addRanProbGraw(){
    var prob = 0.07;
    if (random(0,1) < prob){
        grawlix.push(makeGrawlix(width, random(height)));
    }
}

function grawMove(){
    this.gx += this.gspeed;
}

function grawDraw(){
    var frame = frameCount % 19; // go through all the symbols
    textSize(this.gsize);
    noStroke();
    fill(this.grawCol);
    text(symbols[frame],this.gx, this.gy);
}

function makeGrawlix(birthlocationx, birthlocationy){
    var graw = {'gx': birthlocationx,
        'gy': birthlocationy,
        'grawCol': pickWGrawColor(),
        'gspeed': pickWGrawSpeed(),
        'gsize': (-1 * pickWGrawSpeed() * 10),
        'move': grawMove,
        'draw':grawDraw
    }
    return graw;
}

function pickWGrawColor(){
    return random(100, 255);
}

function pickWGrawSpeed(){
    return random(-1, -5);
}
