// Allison Traylor
// atraylor@andrew.cmu.edu
//Final project

//This code controls the change of scenes

var clickPainting = 0; // boolean variables for changing scenes
var clickWindow = 0;
var clickBall = 0;
var clickBook = 0;
var ocean; // sound for painting scene
var moreOcean; // more sound for painting
var dropSound; // sound for rain scene
var ballBounce; // sound for ball bounce
var bookSound; // sound for book scene
var ballSound; // throw ball sound for ball scene
var flySound; // fies for main scene

function setup() {
    createCanvas(600, 600);
}

function draw() {
    background(200);
    noCursor();

    makeRoom(); // room space starting scene.

    if (clickPainting == 1){
        push();
        makePainting(); // enter or exit painting scene
        pop();
    }
    if (clickWindow == 1){
        makeRain(); // enter or exit rain scene

    }
    if (clickBall == 1){
        makeBall(); // enter or exit ball scene
    }
    if (clickBook == 1){
        makeBook(); // enter or exit book scene
    }
    fill(255, 0, 0, 50);
    noStroke();
    ellipse(mouseX, mouseY, 10, 10); // circle as cursor
}


function mousePressed(){ // when clicking regions of the screen, you will change scenes

    if (mouseX < (width/4 - 50) + 200 && mouseX > width/4 - 50 &&
        mouseY < (height/4 - 50) + 250 && mouseY > height/4 - 50){ //window location
        if (clickPainting == 0 && clickBall == 0 && clickBook == 0){ //can only
                        //enter or exit a scene if the other scenes are inactive
            clickWindow =! clickWindow; //change state to allow enter or
                        //exit from a scene
            rainCount = 0; //counting the frames to display the words
                        // "i'm bored.", will restart on click

        }
    }

    if (mouseX < (width/3 + 64) + 70 && mouseX > (width/3 + 64) -70
        && mouseY < (3 * height/4 + 10) + 70 && mouseY > (3 * height/4 + 10) -70){ //ball
        if (clickPainting == 0 && clickWindow == 0 && clickBook == 0){
            clickBall =! clickBall;
            ballCount = 0;
        }
    }

    if (mouseX < (width/2 + 180) + 100 && mouseX > width/2 + 180
        && mouseY < (height/4) + 100 && mouseY > height/4){ //Painting
        if (clickBall == 0 && clickWindow == 0 && clickBook == 0){
            clickPainting =! clickPainting;
            paintCount = 0;
        }
    }

    if (mouseX < (2 * width/3) + 130 && mouseX > 2 * width/3
        && mouseY < (3 * height/4 + 10) + 43 && mouseY > 3 * height/4 + 10){ //book
        if (clickBall == 0 && clickWindow == 0 && clickPainting == 0){
            clickBook =! clickBook;
            bookCount = 0;
        }
    }


}
